Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2
Class FreemarkerRequestDispatcherPageFilter

    java.lang.Object
      TemplatePageFilter
          com.atlassian.bamboo.ww2.FreemarkerRequestDispatcherPageFilter

    public class FreemarkerRequestDispatcherPageFilter

extends TemplatePageFilter

A filter that works like `FreeMarkerPageFilter` but it delegates back to a request dispatcher if the template is not found

Constructor Summary
`FreemarkerRequestDispatcherPageFilter()`

Method Summary
`protected void` | `applyDecorator(Page page, Decorator decorator, HttpServletRequest req, HttpServletResponse res, ServletContext servletContext, ActionContext ctx)`
`protected Locale` | `getLocale(ActionInvocation invocation, Configuration configuration)` Returns the locale used for the `Configuration#getTemplate(String, Locale)` call.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FreemarkerRequestDispatcherPageFilter

    public FreemarkerRequestDispatcherPageFilter()

Method Detail

### applyDecorator

    protected void applyDecorator(Page page,
                                  Decorator decorator,
                                  HttpServletRequest req,
                                  HttpServletResponse res,
                                  ServletContext servletContext,
                                  ActionContext ctx)
                           throws ServletException,
                                  IOException

  Throws:
    `ServletException`
    `IOException`

### getLocale

    protected Locale getLocale(ActionInvocation invocation,
                               Configuration configuration)

  Returns the locale used for the `Configuration#getTemplate(String, Locale)` call. The base implementation simply returns the locale setting of the action (assuming the action implements `LocaleProvider`) or, if the action does not the configuration's locale is returned. Override this method to provide different behaviour,

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.